### Method

# Phosh MonitorManager find_monitor

#### Declaration [src]

    PhoshMonitor*
    phosh_monitor_manager_find_monitor (
      PhoshMonitorManager* self,
      const char* name
    )

#### Description [src]

Find a monitor by its name.

#### Parameters

`name`

  Type: `const char*`

  The name of the monitor to find.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PhoshMonitor`

The monitor if found, otherwise `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.